

kerio.waw.ui.definitionGroupList = {

x_m: function(x_n) {
this.x_ga = x_n;
var x_x = kerio.lib.x_x;
var x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t);

var x_eb;
if ('x_mj' === x_n) {

x_eb = kerio.waw.shared.x_3e.x_8q.x_mk;
} else {

if ('x_ml' === x_n) {
x_eb = function (x_1o, x_47) {
var x_mm = x_r.x_mn;
var x_mo = x_r.x_mp;
var x_cz = 'urlGroupIcon ';
var x_gc;
switch (x_47.type) {
case x_mm.x_mq:
x_cz += 'ugTypeGroup';
x_gc = x_47.childGroupName;
break;
case x_mm.x_mr:
x_cz += 'ugTypeUrl';
x_gc = x_47.url;
break;
} switch (x_47.status) {
case x_mo.x_ms:
x_cz += ' added';
break;
case x_mo.x_mt:
x_cz += ' modified';
break;
} return {
x_cy:   x_cz,
x_47: x_gc
};
}; } else {

if ('x_if' === x_n) {
x_eb = function (x_1o, x_47) {
var x_mu = x_r.x_mv;
var x_mo = x_r.x_mp;
var x_cz = 'timeRangeIcon ';
var x_mw = kerio.waw.shared.x_3e;
var x_x = kerio.lib.x_x;
var x_mx, x_gc, x_my, x_mz;
switch (x_47.type) {
case x_mu.x_n0:
x_cz += 'trTypeDaily';
x_my = x_47.fromTime;
x_mz = x_47.toTime;
x_gc = x_x('Daily from %1 to %2', 'timeRangeList', {
x_49: [
x_mw.x_n1(x_my),
x_mw.x_n1(x_mz)
]});
break;
case x_mu.x_n2:
x_mx = x_fa.x_n3;
x_cz += 'trTypeWeekly';
x_gc = x_x('Weekly from %1 to %2', 'timeRangeList', {
x_49: [
x_mx[x_47.fromDay] + ' ' + x_mw.x_n1(x_47.fromTime),
x_mx[x_47.toDay] + ' ' + x_mw.x_n1(x_47.toTime)
]});
break;
case x_mu.x_n4:
x_cz += 'trTypeAbsolute';
x_gc = x_x('From %1 to %2', 'timeRangeList', {
x_49: [
x_mw.x_n5(x_47.fromDate) + ' ' + x_mw.x_n1(x_47.fromTime),
x_mw.x_n5(x_47.toDate) + ' ' + x_mw.x_n1(x_47.toTime)
]});
break;
case x_mu.x_mq:
x_cz += 'trTypeGroup';
x_gc = x_47.childGroupName;
break;
} switch (x_47.status) {
case x_mo.x_ms:
x_cz += ' added';
break;
case x_mo.x_mt:
x_cz += ' modified';
break;
} return {
x_cy:   x_cz,
x_47: x_gc
};
};} } } 
var x_n6 = function(x_1o) {
return {
x_47: x_1o,
x_cy: 'grpHeader ' + this.x_n7
};
}; 
var x_9t = function(x_3l, x_1o, x_47){
var x_iy;
if (x_3l.x_1j !== 'x_if') {
x_iy = {
"groupIds": [x_47.id],
"details": x_47
};
} else {
x_iy = {
"rangeIds": [x_47.id],
"details": x_47
};
}
x_3l.x_n8.x_28.params = kerio.lib.x_6r(x_iy);
kerio.lib.x_6t.x_6u(x_3l.x_n8);
kerio.waw.status.x_14.x_15(true);
};var x_n9 = [
{x_7s: 'id' ,             x_7t  : true},
{x_7s: 'item' ,           x_23: x_x('Item', 'common'),
x_1u: kerio.lib.x_a1({
x_a2: 400,
ja: 350
}),
x_ed: {	x_1f: 'x_1q',
x_7s: 'enabled',
x_9t: x_9t
},
x_7u: x_eb},
{x_7s: 'groupId' ,        x_7t: true},
{x_7s: 'groupName' ,      x_gn: true,                     x_na: x_n6},
{x_7s: 'description' ,    x_23: x_x('Description', 'common'), x_1u: 300},
{x_7s: 'enabled' ,        x_7t  : true},
{x_7s: 'status' ,         x_7t  : true}
];
var x_n7, x_5h, x_5j, x_5i, x_nb;
var x_6m, x_nc, x_nd;
if ('x_mj' === x_n) {
x_n7 = 'ipGroupIcon';
x_5h   = 'addressGroupEditor';
x_5j    = 'ipAddressGroupAdd';
x_5i   = 'ipAddressGroupEdit';
x_nb   = 'ipAddressGroupEditorView';
x_6m      = 'groupIds';
x_nc         = 'groups';
x_nd = 'IpAddressGroupManager';
x_n9 = x_n9.concat([
{x_7s: 'type' ,           x_7t  : true},
{x_7s: 'host' ,           x_7t  : true},
{x_7s: 'addr1' ,          x_7t  : true},
{x_7s: 'addr2' ,          x_7t  : true},
{x_7s: 'childGroupId' ,   x_7t  : true},
{x_7s: 'childGroupName' , x_7t  : true}
]);
} else {
if ('x_ml' === x_n) {
x_n7 = 'urlGroupIcon';
x_5h   = 'urlGroupEditor';
x_5j    = 'urlGroupAdd';
x_5i   = 'urlGroupEdit';
x_nb   = 'urlGroupView';
x_6m      = 'groupIds';
x_nc         = 'groups';
x_nd = 'UrlGroupManager';
x_n9 = x_n9.concat([
{x_7s: 'type' ,           x_7t  : true},
{x_7s: 'url' ,           	x_7t  : true},
{x_7s: 'childGroupId' , 	x_7t  : true},
{x_7s: 'childGroupName' , x_7t  : true}
]);
} else {
if ('x_if' === x_n) {
x_n7 = 'timeRangeIcon';
x_5h   = 'timeRangeEditor';
x_5j    = 'timeRangeAdd';
x_5i   = 'timeRangeEdit';
x_nb   = 'timeRangeEditorView';
x_6m      = 'rangeIds';
x_nc         = 'ranges';
x_nd = 'TimeRangeManager';
x_n9 = x_n9.concat([
{x_7s: 'type' ,           x_7t  : true},
{x_7s: 'fromTime' ,       x_7t  : true},
{x_7s: 'toTime' ,         x_7t  : true},
{x_7s: 'days' ,           x_23: x_x('Valid on', 'timeRangeEditor'), x_1u: 120,

x_7u: function(x_1o, x_47) {
if (x_r.x_mv.x_n0 !== parseInt(x_47.type, 10 )) {
return {
x_47: x_1o
};
}
var x_ne = x_47.days;
var x_nf = x_fa.x_ng;
var x_bk = [];
for (var x_41 = 0, x_42 = x_ne.length; x_41 < x_42; x_41++) {
x_bk.push(x_nf[x_ne[x_41]]);
}
return {
x_47: x_bk.join(', ')
};
} },
{x_7s: 'fromDay' ,        x_7t  : true},
{x_7s: 'toDay' ,          x_7t  : true},
{x_7s: 'fromDate' ,       x_7t  : true},
{x_7s: 'toDate' ,         x_7t  : true},
{x_7s: 'childGroupId' ,   x_7t  : true},
{x_7s: 'childGroupName' , x_7t  : true}
]);
} } } var x_5o = {
x_o: x_o,
x_5q: false,
x_5x: {
x_d2: {
x_7s: 'item'
},
x_nh: {
x_7s: 'groupName',
x_ni: true
},
x_1e: x_n9
}, x_6h: {
x_5g:     x_5h,
x_6i:  x_5j,
x_6k: x_5i,
x_6j: x_nb
},
x_6m: x_6m,
x_65: {
x_68: x_nc,
x_66: {
object: x_nd
}
},

x_2d: function() {
x_fi.x_3j();
} }; var x_3l = new kerio.waw.shared.x_17.x_3c(this.x_ga, x_5o);
x_3l.x_27({
x_n7: x_n7
});
x_3l.x_n8 = {
x_6a: '/admin/stub/dataMiner.php',
x_6p: 'post',
x_28: {
object: x_3l.x_w,
method: 'set',
params: ''},
x_2q: this,

x_2e: function(x_6v) {
var x_dg = x_6v.x_ac;
if (x_dg) {
x_fi.x_3j();
}
else {
this.x_6y();
}
kerio.waw.status.x_14.x_15(true);
}
};
this.x_2a(x_3l);
return x_3l;
}, 
x_2a: function(x_2b) {
var x_nj = kerio.waw.shared.x_az.x_nk.x_3e;
x_2b.x_nl = x_nj.x_nl;

x_2b.x_2c = function () {
x_fi.x_3f();
var x_14 = kerio.waw.status.x_14;
x_14.x_ia(this.x_o ? undefined : this.x_32);
x_14.x_15(false);
this.x_6y();
}; 
x_2b.x_5k = function(x_5f, x_5c) {
x_5f.x_28 = x_5f.x_28 || {};
x_5f.x_28.x_nm = this.x_nl();
}; } }; 